<?php
/**
 * Displays Contact Details on header top
 *
 * @package WEN_Travel
 */
$email     = get_theme_mod( 'wen_travel_email' );
$address   = get_theme_mod( 'wen_travel_address' );
$phone     = get_theme_mod( 'wen_travel_phone' );

if ( $email  || $address || $phone ): ?>
	<div class="header-top-left">			
		<ul class="contact-details">
			<?php if ( $phone ) : ?>
			<li class="contact-phone"><a href="tel:<?php echo esc_attr( preg_replace( '/\s+/', '', $phone ) ); ?>"><?php echo wen_travel_get_svg( array( 'icon' => 'phone' ) ); echo esc_html( preg_replace( '/\s+/', '', $phone ) ); ?></a></li>
			<?php endif; ?>

			<?php if ( $email ) : ?>
			<li class="contact-email"><a href="mailto:<?php echo esc_attr( antispambot( $email ) ); ?>"><?php echo wen_travel_get_svg( array( 'icon' => 'email' ) ); echo esc_html( antispambot( $email ) ) ?></a></li>
			<?php endif; ?>

			<?php if ( $address ) : ?>
			<li class="contact-address"><?php echo wen_travel_get_svg( array( 'icon' => 'location' ) ); echo wp_kses_post( $address ); ?></li>
			<?php endif; ?>
		</ul><!-- .contact-details -->
	</div><!-- .header-top-left -->
<?php endif; ?>
